import { HttpClient } from '@procore/core-http';
import { Options } from '../types/WebviewerOptions';
export declare const DEFAULT_HEADERS: {
    'Content-Type': string;
};
export declare function getBaseUrl(options: Options): string;
export declare function setHeaders(options: Options): void;
export declare function getHeaders(): Record<string, string>;
export declare let client: HttpClient;
export declare let cachedClient: HttpClient;
export declare function initHttpClient(options: Options): void;
export declare function disposeHttpClient(): void;
